/* VARS */
:root {
    --header-height: 50px;
    /* Needs to be RGB so opacity can be adjusted */
    --bg-color: 237,237, 229;
    --home-button-width: 180px;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

/* FONTS */
@font-face {
    font-family: "Titan One";
    src: url("../fonts/TitanOne-Regular.ttf");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Umprum";
    src: url("../fonts/umprum_regular.otf") format("opentype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Umprum";
    src: url("../fonts/umprum_bold.otf") format("opentype");
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: "Umprum";
    src: url("../fonts/umprum_regularitalic.otf") format("opentype");
    font-weight: 400;
    font-style: italic;
}

@font-face {
    font-family: "Umprum";
    src: url("../fonts/umprum_bolditalic.otf") format("opentype");
    font-weight: 700;
    font-style: italic;
}

/* SITEWIDE */

html,
body{
    margin: 0;
    padding: 0;

}

body {
    font-family: Umprum, Times New Roman, sans-serif;
    background-color: rgba(var(--bg-color), 1);
    overflow-x: hidden;
    position: relative;
    text-wrap: pretty;
}



footer {
    margin: 0;
    padding: 0;
}

h1 {
    font-size: 2rem;
}

p {
    line-height: 1.2;
}

a {
    color: black;
    font-weight: bold;
    text-decoration: none;
    position: relative;
}

a:not(.no-decoration)::after {
    content: "";
    width: 100%;
    height: 0.7em;
    background-image: url('../img/underline2.svg');
    /* needs to be adjusted based on h1, h2 etc. Maybe by storing a var in parent and accessing it here? */
    background-size: 150px 0.7em;
    position: absolute;
    left: 0;
    top: 0.6em;
}

li {
    margin-bottom: 0.5rem;
}

.inside-body {
    margin: 5rem 15% 0 15%;
}

/* Umprum logo */
.logo {
    position: absolute;
    z-index: 1000; /* keep behind content */
    top: 1rem;
    right: 2rem;
    height: 4rem;
    width: auto;
}

.homepage {
    width: 100%;
    display: flex;
    align-items: start;
    height: 100vh;
    overflow: hidden;

    /*background-image: url("../img/house.png");*/
    /*background-repeat: no-repeat;*/
    /*background-size: 800px auto;*/
    /*background-position: right 5rem bottom 0rem;*/
}

.homepage-house {
    position: absolute;
    width: 900px;
    height: auto;
    right: 5rem;
    bottom: 0;
    z-index: 0;
    pointer-events: none;
}

.landing-logo {
    flex: 3;
    height: 100%;
    display: flex;
    /*justify-content: center;*/
    align-items: center;
}

.img-landing {
    width: 90%;
    height: auto;
    z-index: 1;
}


.wrapper-v2 {
    flex: 2;
    line-height: 1.5;
    padding-left: 1rem;
    padding-top: 2rem;
    padding-bottom: 4rem;
}

.landing-title {
    font-size: 2rem;
}


/* header contains home logo and navbar */

header {
    box-sizing: border-box;
    position: fixed;
    height: var(--header-height);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 6rem 0 6rem;
    font-size: 1.2rem;
    z-index: 1000;
    transform: translateY(-100%);
}

header.visible {
    transform: translateY(0); /* slide down */
}

.home {
    /*background-color: rgba(var(--bg-color), 0.5) ;*/
    font-size: 1.4rem;
    color: orangered;
    border-bottom: 1rem solid orangered;
    text-decoration: none;
    position: fixed;
    right: 1rem;
    top: 3rem;
    height: 130px;
    width: calc(var(--home-button-width) - 1rem);

    background-image: url("../img/house-logo.svg");
    background-repeat: no-repeat;
    background-size: 130px auto;
    align-content: end;
}

.navbar {
    background-color: rgba(var(--bg-color), 1) ;
    /* display is set to flex so that navlink inside can also be dynamic */
    display: flex;
    gap: 1.5rem;

}

.navlink {
    text-decoration: none;
    color: orangered;
}

/* Section "breathing room" */
.section-big {
    scroll-margin-top: calc(var(--header-height) + 2rem);
    margin-bottom: 6rem;
}

.title1-section {
    font-size: 4rem;
    position: relative;
    top: 0.2rem;
    margin: 0 auto;
    padding-bottom: 2.4rem;
    z-index: 5;
}

.index-section {
    font-size: 4rem;
    margin-bottom: 4rem;
    border-bottom: 1rem solid orangered;
    padding: 14px;
    margin-right: var(--home-button-width);
}
.index-section br{
    margin-bottom: 0.3rem;
}

.title2-section {
    font-size: 3rem;
    position: relative;
    top: 0.2rem;
    margin: 0 auto;
    padding-bottom: 2rem;
    z-index: 5;
}

.title3-section {
    font-size: 1.5rem;
    top: 0.2rem;
}


.subtitle1-section {
    font-size: 1.6rem;
    font-style: italic;
    line-height: 1.05;
}
.subtitle2-section {
    font-size: 1.2rem;
    line-height: 1.05;
}

.title-subsection {
    font-size: 1.2rem;
    text-decoration: underline;
    font-weight: bold;
}

.calendar-section {
    font-size: 2rem;
    text-decoration: underline;
    font-weight: bold;
}

.wrapper-v2-section:hover  .wrapper-v2-subsection{
    max-height: 14rem;
}
.wrapper-v2-subsection {
    font-size: 1.5rem;
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.4s ease;
        padding-left: 2rem;
}

.wrapper-v2-subsection a {
    text-decoration: none;
    font-weight: normal;
}

.wrapper-v2-section a {
    text-decoration: none;
    /*font-weight: normal;*/
}

.wrapper-index {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 3rem;
    grid-row-gap: 4rem;
    font-size: 2rem;
}

.corps-two-column-left {
    display: grid;
    gap: 4rem;
    grid-template-columns: 2fr 1fr;
}

.corps-two-column-right {
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr 2fr;
}

.corps-column-right {
    padding: 10px;
}

.corps-two-column-thin-right {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-left: 5rem;
    gap: 50px;
}

.corps-two-columns {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 4rem;

}

.corps-calendar-item {
    /*display: grid;*/
    /*!*!*grid-template-columns: 20% 1fr; !* day number + event text *!*!*!*/
    /*!*grid-template-columns: minmax(20%, 30%) 1fr;*!*/
    display: flex;
    font-size: 0.9rem;
    margin-bottom: 4rem;
    align-items: end;
    gap: 1rem;
}

.day {
    flex: 0 0 auto;
    min-width: 20%;
    font-size: 6rem;
    color: black;
    line-height: 0.8;
    align-self: end;
    margin-bottom: -1rem;
}

.diploma {
    color: orangered;
    font-style: italic;
}

.day.diploma {
    color: orangered;
    font-style: normal;
}
.index-section a {
    text-decoration: none;
}
.index-section a:hover {
    font-style: italic;
}

.faq {
    font-size: 1.2rem;
}

.footer-scroll {
    /*position: fixed;*/
    bottom: 0;
    left: 0;
    width: 100vw;
    background: black;
    color: #9eff1f;
    overflow: hidden;
    white-space: nowrap;
    /*padding: 0.5rem 2rem;*/
    margin-bottom: 0;
    padding: 0.3rem 0;
}

.credits {
    font-size: 0.7rem;
    display: inline-block;
    white-space: nowrap;
}


/* LAPTOP ONLY */
@media (min-width: 600px) {


    .corps-two-column-thin-right.variant-1 > :nth-child(2),
    .corps-three-columns.variant-1 > :nth-child(2) {
        margin-top: 4rem;
    }
    .corps-two-column-thin-right.variant-1 > :nth-child(5n),
    .corps-three-columns.variant-1 > :nth-child(5n) {
        margin-top: 5rem;
    }
    .corps-one-column-wave {
        display:grid;
        grid-template-columns: 1fr;
        max-width: 50rem;
        padding-right: 2rem;
    }
    .corps-one-column-wave > * {
        transition: transform 0.3s ease;
    }

    /* Default (left) */
    .corps-one-column-wave > :nth-child(4n + 1),
    .corps-one-column-wave > :nth-child(4n + 5) {
        transform: translateX(0);
    }

    /* Right-aligned group (2nd, 3rd, 4th in each cycle) */
    .corps-one-column-wave > :nth-child(4n + 2),
    .corps-one-column-wave > :nth-child(4n + 4) {
        transform: translateX(3rem);
    }
    .corps-one-column-wave > :nth-child(4n + 3) {
        transform: translateX(6rem);
    }

    .corps-align-down {
        align-self: end;
    }
    .corps-align-middle{
        align-self: center;
    }
    .corps-left-bleed{
        margin-left: -4rem;
    }
}

.corps-one-column-thin-right {
    width: 60%;
    margin-left: 5rem;
}

.corps-one-column-wide {
    width: 85%;
}

.corps-three-columns {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(240px, 0.3fr));
    grid-gap: 3rem;
    /*grid-row-gap: 4rem;*/
    font-size: 0.9rem;
    line-height: 1.3;
}

.corps-two-column-thin-right img,
.corps-three-columns img,
.corps-two-column-left img,
.corps-two-columns img{
    width: 100%;
    height: auto;
}
.corps-para-border {
    border: 0.1rem solid black;
    padding: 1rem;
}

.corps-left-offset {
    margin-left: 2rem;
}

.img-full-width {
    width: 100%;
    padding: 2rem 0 2rem 0;
}

.img-mobile {
    display: none;
}

.img-mid-width {
    padding: 2rem 0 2rem 0;
    max-width: 80%;
    max-height: 90vh;
    width: auto;
    height: auto;

}
.img-banner {
    width: 100vw;
    margin-bottom: 1rem;
}

.img-section-title {
    display: block;
    /*margin: auto;*/
    padding-top: calc(var(--header-height) + 1rem);
    padding-left: 4rem;
    width: min(100%,1000px);
}

.quote {
    font-size: 1.6rem;
    line-height: 1.1;
    margin-bottom: 3rem;
}




.footer {
    position: fixed;
    bottom: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    /*padding: 10px;*/
    flex-wrap: nowrap;
    font-size: 0.8rem;
}

.footer-box {
    display: inline-block;
    background-color: orangered;
    color: black;
    padding: 0.1rem 0.1rem;
    text-decoration: none;
}

.image-mobile {
    display: none;
}

/* MOBILE ONLY */
@media (max-width: 480px) {

    .homepage {
        flex-direction: column;
        overflow: auto;
    }
    .img-landing {
        width: 100%;
        height: auto;
    }
    .landing-title {
        font-size: 1.5rem;
    }


    .image-pc {
        display: none;
    }
    .image-mobile {
        display: block;
        width: 94vw;
        margin-left: -1.5rem; /* cancels inside-body margin */
    }

    .logo {
        right: 1rem;
        height: 3rem;
    }
    .bg-illus {
        width: 10rem;
    }

    .illus-1 { top: -1rem; left: 0; }
    .illus-2 { top: 2rem; left: 1rem; }
    .illus-3 { bottom: 5rem; left: -5rem; }
    .illus-4 { top: 30rem; right: 1rem; width: 8rem;}
    .illus-5 { bottom: 7rem; left: 0.1rem;}
    .illus-6 { display: none; }

    .footer {
        font-size: 0.8rem;
        gap: 2rem;
    }

    .title-homepage {
        font-size: 3.5rem;
    }
    .inside-body{
        margin: 3rem 10% 0 10%
    }

    .wrapper-index {
        grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
        grid-gap: 1.8rem;
        font-size: 1.2rem;
    }

    .corps-two-column-left,
    .corps-two-column-right,
    .corps-two-column-thin-right {
        grid-template-columns: 1fr; /* single column */
    }
    .corps-one-column-thin-right,
    .corps-two-column-thin-right {
        width: 70%;
        padding-left: 1.5rem;
        margin-left: 0;
        overflow-wrap: break-word;
    }
    .corps-one-column-wide {
        width: 100%;
    }

    header {
        padding: 0 0.5rem 0 0.5rem;
    }

    /* THIS IS THE MOBILE VERSION *
     */
    .home {
        font-size: 1rem;
        border-bottom: 0.7rem solid orangered;
        position: fixed;
        bottom: 20px;
        right: 0;
        top: auto;
        height: 80px;
        width: 80px;
        background-size: 80px auto;
    }

    .navbar {
        font-size: 1rem;
        gap: 1rem;
        flex-wrap: wrap;
        justify-content: center;
        row-gap: 0.5rem;
    }


    /* For images in grid shifted to the right */
    .corps-two-column-thin-right img{
        width: 90vw;
        max-width: none;
        margin-left: -10%;
    }

    .corps-three-columns img{
        width: 100vw;
        max-width: none;
        margin-left: -10%;
    }

    .corps-three-columns {
        grid-gap: 1rem;
    }

    .quote {
        font-size: 1.4rem;
    }
    .title1-section{
        font-size: 2.6rem;
    }
    .title2-section {
        font-size: 2rem;
    }
    .index-section {
        font-size: 2.6rem;
    }
    .section-big {
        scroll-margin-top: 2.3rem;
        margin-bottom: 3rem;
    }

    .subtitle1-section {
        font-size: 1.4rem;
    }


}